# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "sui-sdk-types"
version = "0.0.8"
authors = ["Brandon Williams <brandon@mystenlabs.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core types for the Sui Sdk"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/mystenlabs/sui-rust-sdk/"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg=doc_cfg",
    "-Zunstable-options",
    "--generate-link-to-definition",
]

[features]
default = []
hash = ["dep:blake2"]
proptest = [
    "dep:proptest",
    "dep:test-strategy",
    "serde",
]
rand = ["dep:rand_core"]
serde = [
    "dep:serde",
    "dep:serde_derive",
    "dep:serde_with",
    "dep:bcs",
    "dep:serde_json",
    "roaring/std",
    "dep:itertools",
]

[lib]
name = "sui_sdk_types"
path = "src/lib.rs"

[dependencies.base64ct]
version = "1.6.0"
features = ["alloc"]

[dependencies.bcs]
version = "0.1.6"
optional = true

[dependencies.blake2]
version = "0.10.6"
optional = true

[dependencies.bnum]
version = "0.12.0"

[dependencies.bs58]
version = "0.5.1"

[dependencies.bytes]
version = "1"
default-features = false

[dependencies.bytestring]
version = "1"
default-features = false

[dependencies.itertools]
version = "0.13.0"
optional = true

[dependencies.proptest]
version = "1.6.0"
features = ["std"]
optional = true
default-features = false

[dependencies.rand_core]
version = "0.6.4"
optional = true

[dependencies.roaring]
version = "0.10.9"
default-features = false

[dependencies.serde]
version = "1.0.210"
optional = true

[dependencies.serde_derive]
version = "1.0.210"
optional = true

[dependencies.serde_json]
version = "1.0.128"
optional = true

[dependencies.serde_with]
version = "3.9"
features = ["alloc"]
optional = true
default-features = false

[dependencies.test-strategy]
version = "0.4"
optional = true

[dependencies.winnow]
version = "0.7"

[dev-dependencies.bcs]
version = "0.1.6"

[dev-dependencies.num-bigint]
version = "0.4.6"

[dev-dependencies.paste]
version = "1.0.15"

[dev-dependencies.serde_json]
version = "1.0.128"

[target.wasm32-unknown-unknown.dev-dependencies.getrandom]
version = "0.3"
features = ["wasm_js"]

[target.wasm32-unknown-unknown.dev-dependencies.test-strategy]
version = "=0.4.1"

[target.wasm32-unknown-unknown.dev-dependencies.wasm-bindgen-test]
version = "0.3"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ["cfg(doc_cfg)"]
